r.to.rast3elev(1)

NAME
r.to.rast3elev - Creates a 3D volume map based on 2D elevation and value raster maps

KEYWORDS
raster, raster3d, voxel, conversion

SYNOPSIS
r.to.rast3elev
r.to.rast3elev help
r.to.rast3elev [-ulm] input=name[,name,...] elevation=name[,name,...] output=name [upper=float] [lower=float] [--overwrite]

  Flags:

-u  Use the input map values to fill the upper cells

-l  Use the input map values to fill the lower cells

-m  Use G3D mask (if exists) with input map

--overwrite

  Parameters:

input=name[,name,...]
    Name of input raster map(s)

elevation=name[,name,...]
    Name of elevation raster map(s)

output=name
    Name for output raster3d map

upper=float
    The value to fill the upper cells, default is null

lower=float
    The value to fill the lower cells, default is null

DESCRIPTION
Creates a 3D volume map based on 2D elevation and value raster maps. If the 2d and 3d region settings are different, the 2d resolution will be adjust to the 3d resolution. How r.to.rast3elev works

NOTES
The hight of the 2D elevation maps will be used to verify the position within the 3D region. If the cell value of the elevation rater maps is located within the 3d region, the cell value of the appropriate 2D input raster maps will be written to the associated 3d cell. There are flags and options to fill the upper and lower 3D cells with a specific value, or the input raster maps values.

Example
Simple Spearfish example
g.region -d
g.region res=200 res3=200 t=5000 b=0 tbres=100
# Write the values of raster map soils based on the elevation of elevation.10m
# to the 3D map volev
r.elev.to.rast3 in=soils elev=elevation.10m out=volev
# Write the values of map soils based on the elevation of elevation.10m
# to the 3D map volev_l and fill the lower cells with the soils map values
r.elev.to.rast3 in=soils elev=elevation.10m out=volev_l -l
# Write the values of map soils based on the elevation of elevation.10m
# to the 3D map volev_u and fill the upper cells with the soils map values
r.elev.to.rast3 in=soils elev=elevation.10m out=volev_u -u

SEE ALSO
r.to.rast3
r3.cross.rast
g.region

AUTHOR
Soeren Gebbert

Last changed: $Date: 2006/12/02 05:30:48 $

Full index